JsDoc Reference - SecurityEnvironment

Class Index | File Index

## Classes

- _global_
- AccessController
- APDU
- AuthenticationObject
- CAConnection
- ChipAuthentication
- ChipAuthenticationDomainParameterInfo
- ChipAuthenticationInfo
- ChipAuthenticationPublicKeyInfo
- CommandInterpreter
- CRLGenerator
- CVC
- CVCCA
- CVCertificateStore
- DataUnitAPDU
- DF
- DKEK
- DNEncoder
- EAC20
- EAC2CVCertificateGenerator
- EAC2CVRequestGenerator
- FCP
- File
- FileEncryptor
- FileSelector
- FileSystemIdObject
- FSNode
- GPSCP03
- HSMCVCertificateStore
- HSMKeyStore
- LinearEF
- ManagePKA
- P11CVCertificateStore
- PACE
- PACEDomainParameterInfo
- PACEInfo
- PaperKeyEncoding
- PKCS10Generator
- PublicKeyFile
- PublicKeyReference
- RAMClient
- RestrictedIdentificationDomainParameterInfo
- RestrictedIdentificationInfo
- SecureChannelHandler
- SecureMessagingCommandAPDUDecoder
- SecurityEnvironment
- SignatureKey
- SmartCardHSM
- SmartCardHSMCrypto
- SmartCardHSMInitializer
- SmartCardHSMKey
- SmartCardHSMKeySpecGenerator
- SmartCardHSMSymmetricKeySpecGenerator
- TransparentEF
- TrustAnchor
- X509CertificateGenerator
- X509CertificateIssuer
- X509CertificateStore
- X509Signer

# Class SecurityEnvironment

Class implementing a security environment for cryptographic operations.
Defined in: SecurityEnvironment.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| SecurityEnvironment() Creates a security environment container that collects cryptographic reference templates (CRT)

Method Summary
Method Attributes | Method Name and Description
--- | ---
| add(tlv) Adds a CRT identified by it's tag
| addElements(tname, tlv) Adds CRT elements to a named template.
<static> | SecurityEnvironment.decorateCRT(asn1) Decorates a tlv object from the CRT
| toString() Return textual representation of security environment container

Class Detail
SecurityEnvironment()
Creates a security environment container that collects cryptographic reference templates (CRT)
Method Detail
add(tlv)
Adds a CRT identified by it's tag

Parameters:
{ASN1} tlv
  the tlv object

addElements(tname, tlv)
Adds CRT elements to a named template.

Parameters:
{String} tname
  the CRT name one of AT, KAT, HT, CCT, DST or CT
{ASN1} tlv
  the tlv object containing the CRT elements

<static> SecurityEnvironment.decorateCRT(asn1)
Decorates a tlv object from the CRT

Parameters:
asn1

toString()
Return textual representation of security environment container

Documentation generated by JsDoc Toolkit 2.4.0 on Wed Mar 18 2026 21:29:18 GMT+0100 (CET)